package com.zanxiang.game.module.sdk.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2024-06-26
 * @description : 回传类型枚举
 */
@Getter
@AllArgsConstructor
public enum CallBackTypeEnum {

    /**
     * 注册(新创建账号)
     */
    CALL_BACK_REGISTER("CALL_BACK_REGISTER"),

    /**
     * 激活(创建角色)
     */
    CALL_BACK_ACTIVATE("CALL_BACK_ACTIVATE"),

    /**
     * 登录(老账号登录)
     */
    CALL_BACK_LOGIN_IN("CALL_BACK_LOGIN_IN"),

    /**
     * 支付
     */
    CALL_BACK_PAY_ORDER("CALL_BACK_PAY_ORDER");

    /**
     * 枚举值
     */
    private String value;
}
